<script>
	import { supabase } from '$lib/supabaseClient';
	import { page } from '$app/stores';
    import { readable, get } from 'svelte/store'
    import Post from '$lib/post.svelte';

    let id = $page.params.id;
    export let title
    export let content

    const posts = readable(null, (set) =>{
        
        supabase
            .from('posts')
            .select('*')
            .filter('id','eq',id)
            .then(({error, data}) => set(data))
        
        // add subscription to supabase logic

        const subscription = 
        supabase
            .channel('posts')
            .on('postgres_changes',{ event: 'INSERT', schema: '*' }, payload => {
                set([...get(posts), payload.new])
            })
            

    })

</script>

{#if $posts }
        {#each $posts as {title, id} }
            <Post {title} {id} />
        {/each}
{:else}
 Loading..
{/if}



